/*
  hatenakeyword.cpp: Hatena keyword annotation program
  based on Double-Array TRIE
  Copyright (C) 2005 Taku Kudo <taku@chasen.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
    
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
    
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA
*/

#include <iostream>
#include "hatenakeyword.h"

int main ()
{
  char buf[8192];

  HatenaKeyword::AutoLink autolink ("./keywordlist.da");

  /*
    setPattern allows you to specify the pattern for replacement.
    %s: string iteself
    %e: URL encoded string
    autolink.setPattern("<a href=\"http://chasen.org/%e\">%s</a>");
  */
  
  while(std::cin.getline(buf, 8192)) {
    std::cout << autolink.assign(buf) << std::endl;
  }

  return 0;
}
